Forum: Typo [ANN] Typo 6.0 "Irving Penn" for Rails 3

Announcement (2017-05-07): www.ruby-forum.com is now read-only since I unfortunately do not have the time to support and maintain the forum any more. Please see rubyonrails.org/community and ruby-lang.org/en/community for other Rails- und Ruby-related community platforms.
700f9a3b883e6a04d018f48290b1a3fd?d=identicon&s=25 "de Villamil Frédéric" <frederic@de-villamil.com> (Guest)
on 2011-01-22 00:05
(Received via mailing list)
Good evening,

I'm not sure someone else than me is still reading this list, but I've
been posting release announcement there for 4 years now and I won't
easily lose a so good habbit.

After 7 months of work, the 6.0.1 "Irving Penn" release of Typo is
finally available. This major version of our application is not only
about upgrading to Rails 3. It also bring the usual quota of bug fixes
and improvements.

You can download Typo 6.0 as a zip archive
(http://typosphere.org/stable.zip) or as a tarball
(http://typosphere.org/stable.tgz), or just try our online demo at
http://demo.typosphere.org.

Upgrading to Rails 3 was a long and difficult path. Typo was born when
Rails was very very young. We sometimes had to chose some ways to do
things while Rails would chose a totally different way to fix its lacks.
Typo 6.0 is only a first Rails 3 compatible version, and were still
planning to ditch the remaining piece of antiquities we're still
carrying.

* Good bye gem and installer
Typo installer has been around for 6 years now. When Rails 1.0 was
released, it really looked like a good idea. Unfortunately it quicly
became an abandonned blotware. Since then, lots of easy way of deploying
a Rails application came, mostly thanks to Passenger and Bundler. That's
the reason why we have decided to drop it. Installing Typo is now easy
as, lets say, installing any other mainstream blogging engine: fill in
your database credential, run bundle and youre done.

* Finally a real plugin API
Thomas Lecavelier did a wonderful job working on whats going to be the
real plugin API weve dreamt of for a while now. He started with making
avatar provider pluggable and knows how much he still has to be done.
Good news as hes the latest addition to Typo core team. Were really glad
to welcome him onboard.

* Admin, SEO and usability
Weve made some SEO improvement, adding a bit more options, and making
tags URL really SEO friendly. Admin usability has been improved to, but
weve many other things we want to make better as well.


* Theme changes
Theme structure has been change to be compliant with Rails views
structure. If youre using a custom template, youll have to move the
layouts folder into the views one. Nothing you cant handle.

* Bug fixes
As usual, we have fixed a bunch of bugs, Typo 6.0.1 being a real bugfix
release. Please, read our complete changelog about this.

We're now going to work on a 6.1 version bringing you new feature.

All the best,
Frdric, Matijs, Cyril and Thomas

--
Frdric de Villamil
"What's mine is mine. What's yours is still unsetteled"  Go player
proverb
frederic@de-villamil.com                        tel: +33 (0)6 62 19 1337
http://t37.net                       Typo : http://typosphere.org
A4f0a09c04cbc05a02b09a0accc9ec3c?d=identicon&s=25 "Диимыч" <dimitri.pekarovsky@gmail.com> (Guest)
on 2011-01-22 00:31
(Received via mailing list)
On Fri, 21 Jan 2011 22:25:23 +0100
de Villamil Frédéric <frederic@de-villamil.com> wrote:

> Good evening,
>
> I'm not sure someone else than me is still reading this list

Good job ;)

//DP
5f400e38a8ed574db5f5afa60f373470?d=identicon&s=25 Hh Hh (henry74)
on 2011-01-22 02:13
(Received via mailing list)
Yes - thanks for all the hard work.  I'm pretty happy with the latest 5x
release but will take a look.

2011/1/21 de Villamil Frédéric <frederic@de-villamil.com>
C2cd4bca86c6f071401cd2ef321f30b6?d=identicon&s=25 Leslie Titze (Guest)
on 2011-01-22 06:13
(Received via mailing list)
Still reading! Thanks to all for the diligent work.
0ce4db5e1083663c575158643313852c?d=identicon&s=25 Perry Smith (pedzsan)
on 2011-01-24 18:03
(Received via mailing list)
I assume this implies Ruby 1.9.2 compatible too?
700f9a3b883e6a04d018f48290b1a3fd?d=identicon&s=25 "de Villamil Frédéric" <frederic@de-villamil.com> (Guest)
on 2011-01-25 00:54
(Received via mailing list)
Unfortunately not yet. Ruby 1.9 compatibility is the next big thing on
our TODO.

I will tell you as soon as we have something useable. You can also
submit patches too ;-)

Best regards
Fred


Le 24 janv. 2011  17:38, Perry Smith a crit :

>> You can download Typo 6.0 as a zip archive (http://typosphere.org/stable.zip)
or as a tarball (http://typosphere.org/stable.tgz), or just try our online demo 
at
http://demo.typosphere.org.
>> Weve made some SEO improvement, adding a bit more options, and making tags URL
really SEO friendly. Admin usability has been improved to, but weve many other
things we want to make better as well.
>> All the best,
>> Typo-list@rubyforge.org
>> http://rubyforge.org/mailman/listinfo/typo-list
>
> _______________________________________________
> Typo-list mailing list
> Typo-list@rubyforge.org
> http://rubyforge.org/mailman/listinfo/typo-list

--
Frdric de Villamil
"What's mine is mine. What's yours is still unsetteled"  Go player
proverb
frederic@de-villamil.com                        tel: +33 (0)6 62 19 1337
http://t37.net                       Typo : http://typosphere.org
0ce4db5e1083663c575158643313852c?d=identicon&s=25 Perry Smith (pedzsan)
on 2011-01-29 16:42
(Received via mailing list)
With rvm, I could probably get this to work using 1.8.  I assume the
preferred is the latest Ruby at 1.8 -- is it 1.8.7?
This topic is locked and can not be replied to.